{
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "minecraft:desert": "2024-12-20 13:10:51 +0700",
      "minecraft:meadow": "2024-12-20 13:05:49 +0700",
      "minecraft:plains": "2022-07-03 15:13:31 +0700"
    },
    "done": false
  },
  "minecraft:recipes/building_blocks/muddy_mangrove_roots": {
    "criteria": {
      "has_mangrove_roots": "2022-07-03 15:15:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_wood": {
    "criteria": {
      "has_log": "2022-07-03 15:15:17 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_planks": {
    "criteria": {
      "has_logs": "2022-07-03 15:15:17 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/charcoal": {
    "criteria": {
      "has_log": "2022-07-03 15:15:17 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_mangrove_wood": {
    "criteria": {
      "has_log": "2022-07-03 15:15:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/composter": {
    "criteria": {
      "has_wood_slab": "2022-07-03 18:23:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/barrel": {
    "criteria": {
      "has_wood_slab": "2022-07-03 18:23:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_stained_glass_pane_from_glass_pane": {
    "criteria": {
      "has_glass_pane": "2022-07-03 18:49:36 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/packed_mud": {
    "criteria": {
      "has_mud": "2022-07-03 18:59:05 +0700"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2022-07-03 19:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/mangrove_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "in_water": "2022-07-03 19:11:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/moss_carpet": {
    "criteria": {
      "has_moss_block": "2022-07-03 19:11:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_from_moss_block": {
    "criteria": {
      "has_moss_block": "2022-07-03 19:11:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_bricks_from_moss_block": {
    "criteria": {
      "has_moss_block": "2022-07-03 19:11:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2022-07-03 19:12:37 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall_from_cobblestone_stonecutting": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2022-07-03 19:14:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_slab_from_mossy_cobblestone_stonecutting": {
    "criteria": {
      "has_mossy_cobblestone": "2022-07-03 19:14:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_stairs_from_mossy_cobblestone_stonecutting": {
    "criteria": {
      "has_mossy_cobblestone": "2022-07-03 19:14:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_cobblestone_wall": {
    "criteria": {
      "has_mossy_cobblestone": "2022-07-03 19:14:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_cobblestone_wall_from_mossy_cobblestone_stonecutting": {
    "criteria": {
      "has_mossy_cobblestone": "2022-07-03 19:14:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_slab": {
    "criteria": {
      "has_mossy_cobblestone": "2022-07-03 19:14:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_stairs": {
    "criteria": {
      "has_mossy_cobblestone": "2022-07-03 19:14:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mud_brick_slab_from_mud_bricks_stonecutting": {
    "criteria": {
      "has_mud_bricks": "2022-07-03 19:15:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mud_brick_wall": {
    "criteria": {
      "has_mud_bricks": "2022-07-03 19:15:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mud_brick_stairs_from_mud_bricks_stonecutting": {
    "criteria": {
      "has_mud_bricks": "2022-07-03 19:15:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mud_brick_wall_from_mud_bricks_stonecutting": {
    "criteria": {
      "has_mud_bricks": "2022-07-03 19:15:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mud_brick_slab": {
    "criteria": {
      "has_mud_bricks": "2022-07-03 19:15:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mud_brick_stairs": {
    "criteria": {
      "has_mud_bricks": "2022-07-03 19:15:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mud_bricks": {
    "criteria": {
      "has_packed_mud": "2022-07-03 19:15:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mangrove_sign": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_pressure_plate": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_button": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_slab": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mangrove_stairs": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_door": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_trapdoor": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/mangrove_fence_gate": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mangrove_fence": {
    "criteria": {
      "has_planks": "2022-07-03 19:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_deepslate_tiles_stonecutting": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_deepslate_tiles_stonecutting": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cracked_deepslate_tiles": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_deepslate_tiles_stonecutting": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs": {
    "criteria": {
      "has_deepslate_tiles": "2022-07-03 19:22:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_planks": {
    "criteria": {
      "has_logs": "2022-07-03 19:23:05 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_slab": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_button": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_door": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_stairs": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/dark_oak_sign": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_fence_gate": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_trapdoor": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_pressure_plate": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/dark_oak_fence": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_door": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_fence_gate": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_button": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_fence": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_stairs": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_sign": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_slab": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_pressure_plate": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_trapdoor": {
    "criteria": {
      "has_planks": "2022-07-03 19:23:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_planks": {
    "criteria": {
      "has_logs": "2022-07-03 19:23:39 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_wood": {
    "criteria": {
      "has_log": "2022-07-03 19:26:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/jungle_planks": {
    "criteria": {
      "has_logs": "2022-07-03 19:26:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_deepslate_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_slab": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobbled_deepslate_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tiles_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_brick_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_stairs": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_deepslate_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobbled_deepslate_wall": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_deepslate_wall_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_bricks_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_stairs_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobbled_deepslate_slab_from_cobbled_deepslate_stonecutting": {
    "criteria": {
      "has_cobbled_deepslate": "2022-07-03 21:35:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_deepslate": {
    "criteria": {
      "has_cobbled_deepslate_slab": "2022-07-03 22:36:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_beetroot": {
    "criteria": {
      "has_beetroot": "2022-07-03 22:42:59 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/beetroot_soup": {
    "criteria": {
      "has_beetroot": "2022-07-03 22:42:59 +0700"
    },
    "done": true
  },
  "minecraft:husbandry/plant_seed": {
    "criteria": {
      "beetroots": "2022-07-03 22:43:08 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/white_dye": {
    "criteria": {
      "has_bone_meal": "2022-07-03 22:43:18 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bone_block": {
    "criteria": {
      "has_bone_meal": "2022-07-03 22:43:18 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/mushroom_stew": {
    "criteria": {
      "has_brown_mushroom": "2022-07-03 22:51:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/bowl": {
    "criteria": {
      "has_brown_mushroom": "2022-07-03 22:51:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/sugar_from_sugar_cane": {
    "criteria": {
      "has_sugar_cane": "2022-07-03 23:07:45 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/paper": {
    "criteria": {
      "has_reeds": "2022-07-03 23:07:45 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_tulip": {
    "criteria": {
      "has_red_flower": "2022-07-04 15:59:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/scaffolding": {
    "criteria": {
      "has_bamboo": "2022-07-04 16:05:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick_from_bamboo_item": {
    "criteria": {
      "has_bamboo": "2022-07-04 16:05:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/carrot_on_a_stick": {
    "criteria": {
      "has_carrot": "2022-07-04 18:48:55 +0700"
    },
    "done": true
  },
  "minecraft:adventure/sleep_in_bed": {
    "criteria": {
      "slept_in_bed": "2022-07-04 20:04:56 +0700"
    },
    "done": true
  },
  "minecraft:story/root": {
    "criteria": {
      "crafting_table": "2022-07-04 20:05:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/smoker": {
    "criteria": {
      "has_furnace": "2022-07-04 20:06:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_spruce_wood": {
    "criteria": {
      "has_log": "2022-07-04 20:10:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/lime_dye_from_smelting": {
    "criteria": {
      "has_sea_pickle": "2022-07-04 20:26:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_planks": {
    "criteria": {
      "has_log": "2022-07-26 15:52:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_wood": {
    "criteria": {
      "has_log": "2022-07-26 15:52:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_slab_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_slab": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_slab_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/diorite_wall_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_stairs_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_stairs_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite_stairs": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite": {
    "criteria": {
      "has_stone": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite_from_diorite_stonecutting": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/diorite_wall": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite": {
    "criteria": {
      "has_diorite": "2022-07-26 17:21:43 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_smelting": {
    "criteria": {
      "has_iron_shovel": "2022-07-26 20:42:19 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_blasting": {
    "criteria": {
      "has_iron_shovel": "2022-07-26 20:42:19 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_wood": {
    "criteria": {
      "has_log": "2022-07-26 20:42:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_stairs_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_stairs": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_slab_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/andesite_wall_from_andesite_stonecutting": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/andesite_wall": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite_slab": {
    "criteria": {
      "has_andesite": "2022-07-26 21:25:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/campfire": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/ladder": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_shovel": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_hoe": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_pickaxe": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_axe": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/wooden_sword": {
    "criteria": {
      "has_stick": "2022-07-28 18:47:44 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/furnace_minecart": {
    "criteria": {
      "has_minecart": "2022-08-02 13:18:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/hopper_minecart": {
    "criteria": {
      "has_minecart": "2022-08-02 13:18:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/chest_minecart": {
    "criteria": {
      "has_minecart": "2022-08-02 13:18:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/tnt_minecart": {
    "criteria": {
      "has_minecart": "2022-08-02 13:18:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/rail": {
    "criteria": {
      "has_minecart": "2022-08-02 13:18:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_oak_wood": {
    "criteria": {
      "has_log": "2022-08-02 13:19:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_fence_gate": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_stairs": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_fence": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_slab": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_pressure_plate": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_sign": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_trapdoor": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_button": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_door": {
    "criteria": {
      "has_planks": "2022-08-02 13:19:25 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks": {
    "criteria": {
      "has_tag": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_stairs_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_stone_brick_wall": {
    "criteria": {
      "has_mossy_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_stairs": {
    "criteria": {
      "has_mossy_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/mossy_stone_brick_wall_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_slab_from_mossy_stone_brick_stonecutting": {
    "criteria": {
      "has_mossy_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_brick_slab": {
    "criteria": {
      "has_mossy_stone_bricks": "2022-10-25 15:52:01 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_birch_wood": {
    "criteria": {
      "has_log": "2022-10-25 15:53:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_planks": {
    "criteria": {
      "has_logs": "2022-10-25 15:53:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_stairs_from_bricks_stonecutting": {
    "criteria": {
      "has_bricks": "2022-10-25 15:55:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brick_wall": {
    "criteria": {
      "has_bricks": "2022-10-25 15:55:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_stairs": {
    "criteria": {
      "has_bricks": "2022-10-25 15:55:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brick_wall_from_bricks_stonecutting": {
    "criteria": {
      "has_bricks": "2022-10-25 15:55:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_slab_from_bricks_stonecutting": {
    "criteria": {
      "has_bricks": "2022-10-25 15:55:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_slab": {
    "criteria": {
      "has_bricks": "2022-10-25 15:55:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/pumpkin_seeds": {
    "criteria": {
      "has_pumpkin": "2022-10-25 15:57:38 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/pumpkin_pie": {
    "criteria": {
      "has_pumpkin": "2022-10-25 15:57:38 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/wheat": {
    "criteria": {
      "has_hay_block": "2022-10-25 16:01:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/target": {
    "criteria": {
      "has_hay_block": "2022-10-25 16:01:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/grindstone": {
    "criteria": {
      "has_stone_slab": "2022-10-25 16:03:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/yellow_dye_from_dandelion": {
    "criteria": {
      "has_dandelion": "2022-10-25 16:04:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_pink_tulip": {
    "criteria": {
      "has_pink_tulip": "2022-10-25 16:04:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_orange_tulip": {
    "criteria": {
      "has_orange_tulip": "2022-10-25 16:04:59 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_candle": {
    "criteria": {
      "has_brown_dye": "2022-10-25 16:12:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lilac": {
    "criteria": {
      "has_lilac": "2022-10-25 16:16:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/flower_banner_pattern": {
    "criteria": {
      "has_oxeye_daisy": "2022-10-25 17:26:35 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_oxeye_daisy": {
    "criteria": {
      "has_oxeye_daisy": "2022-10-25 17:26:35 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_allium": {
    "criteria": {
      "has_allium": "2022-10-25 17:26:37 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_pressure_plate": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_slab": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/birch_sign": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_door": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/birch_fence": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_button": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_fence_gate": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_stairs": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/birch_trapdoor": {
    "criteria": {
      "has_planks": "2022-10-25 17:26:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 17:34:09 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cracked_stone_bricks": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 17:34:09 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 17:34:09 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_wall": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 17:34:09 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_wall_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 17:34:09 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_from_stone_bricks_stonecutting": {
    "criteria": {
      "has_stone_bricks": "2022-10-25 17:34:09 +0700"
    },
    "done": true
  },
  "minecraft:adventure/root": {
    "criteria": {
      "killed_something": "2022-10-26 11:08:11 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/crimson_pressure_plate": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crimson_fence": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/crimson_button": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/crimson_door": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/crimson_trapdoor": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crimson_sign": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/crimson_slab": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/crimson_stairs": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/crimson_fence_gate": {
    "criteria": {
      "has_planks": "2023-02-28 16:02:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_rose_bush": {
    "criteria": {
      "has_rose_bush": "2023-02-28 16:05:10 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_poppy": {
    "criteria": {
      "has_poppy": "2023-02-28 16:15:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/blue_dye_from_cornflower": {
    "criteria": {
      "has_cornflower": "2023-02-28 17:06:27 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_blue_orchid": {
    "criteria": {
      "has_blue_orchid": "2023-02-28 17:06:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_azure_bluet": {
    "criteria": {
      "has_azure_bluet": "2023-02-28 17:26:06 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_stairs_from_waxed_weathered_cut_copper_stonecutting": {
    "criteria": {
      "has_waxed_weathered_cut_copper": "2023-03-23 17:04:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_slab_from_waxed_weathered_cut_copper_stonecutting": {
    "criteria": {
      "has_waxed_weathered_cut_copper": "2023-03-23 17:04:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_stairs": {
    "criteria": {
      "has_waxed_weathered_cut_copper": "2023-03-23 17:04:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_slab": {
    "criteria": {
      "has_waxed_weathered_cut_copper": "2023-03-23 17:04:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_stairs_from_waxed_weathered_copper_stonecutting": {
    "criteria": {
      "has_waxed_weathered_copper": "2023-03-23 17:04:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper": {
    "criteria": {
      "has_waxed_weathered_copper": "2023-03-23 17:04:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_from_waxed_weathered_copper_stonecutting": {
    "criteria": {
      "has_waxed_weathered_copper": "2023-03-23 17:04:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_cut_copper_slab_from_waxed_weathered_copper_stonecutting": {
    "criteria": {
      "has_waxed_weathered_copper": "2023-03-23 17:04:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_oxidized_cut_copper_from_waxed_oxidized_copper_stonecutting": {
    "criteria": {
      "has_waxed_oxidized_copper": "2023-03-23 17:04:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_oxidized_cut_copper_slab_from_waxed_oxidized_copper_stonecutting": {
    "criteria": {
      "has_waxed_oxidized_copper": "2023-03-23 17:04:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_oxidized_cut_copper_stairs_from_waxed_oxidized_copper_stonecutting": {
    "criteria": {
      "has_waxed_oxidized_copper": "2023-03-23 17:04:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_oxidized_cut_copper": {
    "criteria": {
      "has_waxed_oxidized_copper": "2023-03-23 17:04:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_exposed_cut_copper_slab_from_waxed_exposed_copper_stonecutting": {
    "criteria": {
      "has_waxed_exposed_copper": "2023-03-23 17:05:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_exposed_cut_copper_from_waxed_exposed_copper_stonecutting": {
    "criteria": {
      "has_waxed_exposed_copper": "2023-03-23 17:05:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_exposed_cut_copper": {
    "criteria": {
      "has_waxed_exposed_copper": "2023-03-23 17:05:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_exposed_cut_copper_stairs_from_waxed_exposed_copper_stonecutting": {
    "criteria": {
      "has_waxed_exposed_copper": "2023-03-23 17:05:07 +0700"
    },
    "done": true
  },
  "minecraft:nether/get_wither_skull": {
    "criteria": {
      "wither_skull": "2023-03-23 17:47:11 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/skull_banner_pattern": {
    "criteria": {
      "has_wither_skeleton_skull": "2023-03-23 17:47:11 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/trapped_chest": {
    "criteria": {
      "has_tripwire_hook": "2023-03-23 18:34:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/glow_item_frame": {
    "criteria": {
      "has_item_frame": "2023-03-23 18:56:41 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/note_block": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_torch": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/clock": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_block": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dropper": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/compass": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/piston": {
    "criteria": {
      "has_redstone": "2023-03-23 18:56:47 +0700"
    },
    "done": true
  },
  "minecraft:story/iron_tools": {
    "criteria": {
      "iron_pickaxe": "2023-03-23 19:55:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/tools/flint_and_steel": {
    "criteria": {
      "has_obsidian": "2023-03-23 20:21:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/enchanting_table": {
    "criteria": {
      "has_obsidian": "2023-03-23 20:21:32 +0700"
    },
    "done": true
  },
  "minecraft:story/form_obsidian": {
    "criteria": {
      "obsidian": "2023-03-23 20:21:32 +0700"
    },
    "done": true
  },
  "minecraft:nether/root": {
    "criteria": {
      "entered_nether": "2023-03-24 21:08:20 +0700"
    },
    "done": true
  },
  "minecraft:story/enter_the_nether": {
    "criteria": {
      "entered_nether": "2023-03-24 21:08:20 +0700"
    },
    "done": true
  },
  "minecraft:nether/explore_nether": {
    "criteria": {
      "minecraft:nether_wastes": "2023-03-24 21:08:20 +0700"
    },
    "done": false
  },
  "minecraft:recipes/decorations/red_carpet": {
    "criteria": {
      "has_red_wool": "2023-05-23 12:02:08 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/painting": {
    "criteria": {
      "has_wool": "2023-05-23 12:02:08 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_banner": {
    "criteria": {
      "has_red_wool": "2023-05-23 12:02:08 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_bed": {
    "criteria": {
      "has_red_wool": "2023-05-23 12:02:08 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_white_tulip": {
    "criteria": {
      "has_white_tulip": "2023-05-23 12:44:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_stone_bricks_from_vine": {
    "criteria": {
      "has_vine": "2023-05-23 12:59:54 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/mossy_cobblestone_from_vine": {
    "criteria": {
      "has_vine": "2023-05-23 12:59:54 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crafting_table": {
    "criteria": {
      "unlock_right_away": "2023-07-14 11:27:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cherry_planks": {
    "criteria": {
      "has_log": "2023-07-14 11:58:55 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cherry_slab": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/cherry_fence_gate": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cherry_sign": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/cherry_pressure_plate": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cherry_fence": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cherry_stairs": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/cherry_trapdoor": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/cherry_button": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/cherry_door": {
    "criteria": {
      "has_planks": "2023-07-14 12:41:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/baked_potato_from_campfire_cooking": {
    "criteria": {
      "has_potato": "2023-07-14 13:15:22 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/baked_potato_from_smoking": {
    "criteria": {
      "has_potato": "2023-07-14 13:15:22 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/baked_potato": {
    "criteria": {
      "has_potato": "2023-07-14 13:15:22 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_hanging_sign": {
    "criteria": {
      "has_stripped_logs": "2023-07-14 13:18:38 +0700"
    },
    "done": true
  },
  "minecraft:recipes/combat/crossbow": {
    "criteria": {
      "has_tripwire_hook": "2023-07-14 16:09:12 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_blue_red_pink": {
    "criteria": {
      "has_pink_dye": "2023-07-14 16:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_candle": {
    "criteria": {
      "has_pink_dye": "2023-07-14 16:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_pink_wool": {
    "criteria": {
      "has_needed_dye": "2023-07-14 16:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_pink_bed": {
    "criteria": {
      "has_needed_dye": "2023-07-14 16:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_purple_and_pink": {
    "criteria": {
      "has_pink_dye": "2023-07-14 16:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_pink_carpet": {
    "criteria": {
      "has_needed_dye": "2023-07-14 16:10:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/lime_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_blue_white_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_gray_white_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_white_carpet": {
    "criteria": {
      "has_needed_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_white_wool": {
    "criteria": {
      "has_needed_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_candle": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_red_white_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/gray_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_black_white_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_white_bed": {
    "criteria": {
      "has_needed_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_blue_red_white_dye": {
    "criteria": {
      "has_white_dye": "2023-07-14 16:10:31 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_magenta_bed": {
    "criteria": {
      "has_needed_dye": "2023-07-20 15:16:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_magenta_wool": {
    "criteria": {
      "has_needed_dye": "2023-07-20 15:16:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dye_magenta_carpet": {
    "criteria": {
      "has_needed_dye": "2023-07-20 15:16:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_candle": {
    "criteria": {
      "has_magenta_dye": "2023-07-20 15:16:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_cherry_wood": {
    "criteria": {
      "has_log": "2023-07-20 16:15:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cherry_hanging_sign": {
    "criteria": {
      "has_stripped_logs": "2023-07-20 16:15:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bookshelf": {
    "criteria": {
      "has_book": "2023-07-21 16:49:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lectern": {
    "criteria": {
      "has_book": "2023-07-21 16:49:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_bookshelf": {
    "criteria": {
      "has_book": "2023-07-21 16:49:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/writable_book": {
    "criteria": {
      "has_book": "2023-07-21 16:49:33 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_torchflower": {
    "criteria": {
      "has_torchflower": "2023-07-21 16:50:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_brick_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_stone_bricks_stone_from_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stonecutter": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_stone": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/stone_brick_walls_from_stone_stonecutting": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_stairs": {
    "criteria": {
      "has_stone": "2023-11-03 16:20:24 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/cherry_boat": {
    "criteria": {
      "in_water": "2023-11-03 16:31:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/bamboo_raft": {
    "criteria": {
      "in_water": "2023-11-03 16:31:58 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/bamboo_chest_raft": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/mangrove_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/cherry_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_chest_boat": {
    "criteria": {
      "has_boat": "2023-11-03 16:39:26 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_quartz_slab_from_smooth_quartz_stonecutting": {
    "criteria": {
      "has_smooth_quartz": "2023-11-08 15:02:29 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_quartz_slab": {
    "criteria": {
      "has_smooth_quartz": "2023-11-08 15:02:29 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_quartz_stairs": {
    "criteria": {
      "has_smooth_quartz": "2023-11-08 15:02:29 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_quartz_stairs_from_smooth_quartz_stonecutting": {
    "criteria": {
      "has_smooth_quartz": "2023-11-08 15:02:29 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/waxed_weathered_chiseled_copper": {
    "criteria": {
      "has_waxed_weathered_cut_copper_slab": "2024-11-17 18:27:47 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/jungle_trapdoor": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jungle_sign": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/jungle_door": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jungle_fence": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/jungle_pressure_plate": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/jungle_button": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/jungle_slab": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/jungle_stairs": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/jungle_fence_gate": {
    "criteria": {
      "has_planks": "2024-12-19 15:39:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_glazed_terracotta": {
    "criteria": {
      "has_light_gray_terracotta": "2024-12-19 16:21:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_glazed_terracotta": {
    "criteria": {
      "has_white_terracotta": "2024-12-19 16:21:03 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_tuff_bricks_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_tuff_bricks_from_tuff_bricks_stonecutting": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_bricks_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_slab": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_slab_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_tuff_wall_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/tuff_wall": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/tuff_brick_wall_from_tuff_bricks_stonecutting": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_slab_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_stairs": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/tuff_wall_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_stairs": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_stairs_from_tuff_bricks_stonecutting": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_slab_from_tuff_bricks_stonecutting": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/tuff_brick_wall_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_tuff_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_stairs_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_stairs_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_stairs_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_slab_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/tuff_brick_wall": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_slab": {
    "criteria": {
      "has_tuff_bricks": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_from_tuff_stonecutting": {
    "criteria": {
      "has_tuff": "2024-12-19 16:22:32 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_tuff_wall": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/tuff_brick_wall_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_stairs_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_slab_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_stairs": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_stairs_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_tuff_slab": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_tuff_bricks_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_bricks": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/polished_tuff_wall_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_bricks_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/tuff_brick_slab_from_polished_tuff_stonecutting": {
    "criteria": {
      "has_polished_tuff": "2024-12-19 16:22:34 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/chiseled_tuff": {
    "criteria": {
      "has_tuff_slab": "2024-12-19 16:25:53 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/warped_pressure_plate": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/warped_slab": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/warped_fence_gate": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/warped_fence": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/warped_button": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/warped_stairs": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/warped_trapdoor": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/warped_sign": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/warped_door": {
    "criteria": {
      "has_planks": "2024-12-19 20:02:21 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/warped_planks": {
    "criteria": {
      "has_logs": "2024-12-19 20:02:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jungle_hanging_sign": {
    "criteria": {
      "has_stripped_logs": "2024-12-20 11:38:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stripped_jungle_wood": {
    "criteria": {
      "has_log": "2024-12-20 11:38:23 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_banner": {
    "criteria": {
      "has_yellow_wool": "2024-12-20 11:38:46 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_bed": {
    "criteria": {
      "has_yellow_wool": "2024-12-20 11:38:46 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_carpet": {
    "criteria": {
      "has_yellow_wool": "2024-12-20 11:38:46 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bamboo_planks": {
    "criteria": {
      "has_logs": "2024-12-20 11:38:59 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/bamboo_hanging_sign": {
    "criteria": {
      "has_stripped_logs": "2024-12-20 11:38:59 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/bamboo_trapdoor": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/bamboo_pressure_plate": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bamboo_slab": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/bamboo_button": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/bamboo_fence_gate": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bamboo_stairs": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/bamboo_sign": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/bamboo_door": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/bamboo_fence": {
    "criteria": {
      "has_planks": "2024-12-20 11:39:00 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bamboo_mosaic_slab": {
    "criteria": {
      "has_bamboo_mosaic": "2024-12-20 11:39:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bamboo_mosaic_stairs": {
    "criteria": {
      "has_bamboo_mosaic": "2024-12-20 11:39:02 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/bamboo_mosaic": {
    "criteria": {
      "has_bamboo_slab": "2024-12-20 11:39:04 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glass": {
    "criteria": {
      "has_smelts_to_glass": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_sand": "2024-12-20 12:52:57 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_sandstone_stairs_from_smooth_sandstone_stonecutting": {
    "criteria": {
      "has_smooth_sandstone": "2024-12-20 14:24:05 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_sandstone_slab_from_smooth_sandstone_stonecutting": {
    "criteria": {
      "has_smooth_sandstone": "2024-12-20 14:24:05 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_sandstone_stairs": {
    "criteria": {
      "has_smooth_sandstone": "2024-12-20 14:24:05 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/smooth_sandstone_slab": {
    "criteria": {
      "has_smooth_sandstone": "2024-12-20 14:24:05 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/brown_dye": {
    "criteria": {
      "has_cocoa_beans": "2024-12-20 14:37:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cookie": {
    "criteria": {
      "has_cocoa": "2024-12-20 14:37:30 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/dried_kelp": {
    "criteria": {
      "has_dried_kelp_block": "2024-12-20 14:55:54 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/end_stone_brick_slab_from_end_stone_stonecutting": {
    "criteria": {
      "has_end_stone": "2024-12-20 15:08:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/end_stone_bricks": {
    "criteria": {
      "has_end_stone": "2024-12-20 15:08:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/end_stone_brick_wall_from_end_stone_stonecutting": {
    "criteria": {
      "has_end_stone": "2024-12-20 15:08:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/end_stone_bricks_from_end_stone_stonecutting": {
    "criteria": {
      "has_end_stone": "2024-12-20 15:08:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/end_stone_brick_stairs_from_end_stone_stonecutting": {
    "criteria": {
      "has_end_stone": "2024-12-20 15:08:56 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/jack_o_lantern": {
    "criteria": {
      "has_carved_pumpkin": "2024-12-20 16:35:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs": {
    "criteria": {
      "has_polished_andesite": "2024-12-20 17:45:04 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab": {
    "criteria": {
      "has_polished_andesite": "2024-12-20 17:45:04 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_slab_from_polished_andesite_stonecutting": {
    "criteria": {
      "has_polished_andesite": "2024-12-20 17:45:04 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite_stairs_from_polished_andesite_stonecutting": {
    "criteria": {
      "has_polished_andesite": "2024-12-20 17:45:04 +0700"
    },
    "done": true
  },
  "minecraft:husbandry/make_a_sign_glow": {
    "criteria": {
      "make_a_sign_glow": "2024-12-20 17:52:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bamboo_block": {
    "criteria": {
      "has_bamboo": "2024-12-20 17:53:51 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_porkchop": {
    "criteria": {
      "has_porkchop": "2024-12-20 17:54:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_porkchop_from_campfire_cooking": {
    "criteria": {
      "has_porkchop": "2024-12-20 17:54:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_porkchop_from_smoking": {
    "criteria": {
      "has_porkchop": "2024-12-20 17:54:15 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_cod_from_smoking": {
    "criteria": {
      "has_cod": "2024-12-20 17:54:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_cod_from_campfire_cooking": {
    "criteria": {
      "has_cod": "2024-12-20 17:54:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_cod": {
    "criteria": {
      "has_cod": "2024-12-20 17:54:16 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon_from_smoking": {
    "criteria": {
      "has_salmon": "2024-12-20 17:54:18 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon_from_campfire_cooking": {
    "criteria": {
      "has_salmon": "2024-12-20 17:54:18 +0700"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon": {
    "criteria": {
      "has_salmon": "2024-12-20 17:54:18 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/detector_rail": {
    "criteria": {
      "has_rail": "2025-01-17 11:47:38 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/activator_rail": {
    "criteria": {
      "has_rail": "2025-01-17 11:47:38 +0700"
    },
    "done": true
  },
  "minecraft:recipes/transportation/powered_rail": {
    "criteria": {
      "has_rail": "2025-01-17 11:47:38 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/armor_stand": {
    "criteria": {
      "has_stone_slab": "2025-01-17 11:47:48 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_bed": {
    "criteria": {
      "has_black_wool": "2025-01-17 11:49:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_carpet": {
    "criteria": {
      "has_black_wool": "2025-01-17 11:49:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_banner": {
    "criteria": {
      "has_black_wool": "2025-01-17 11:49:07 +0700"
    },
    "done": true
  },
  "minecraft:recipes/redstone/crafter": {
    "criteria": {
      "has_dropper": "2025-01-17 12:07:50 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/coal": {
    "criteria": {
      "has_coal_block": "2025-01-17 13:18:08 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/cyan_dye_from_pitcher_plant": {
    "criteria": {
      "has_pitcher_plant": "2025-01-23 21:57:27 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_brick_wall_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_stairs_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_brick_wall": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_stairs": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tiles_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_slab": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/decorations/deepslate_tile_wall_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cracked_deepslate_bricks": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tile_slab_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_tiles": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_stairs_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/deepslate_brick_slab_from_deepslate_bricks_stonecutting": {
    "criteria": {
      "has_deepslate_bricks": "2025-01-24 10:21:28 +0700"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_peony": {
    "criteria": {
      "has_peony": "2025-01-24 15:38:11 +0700"
    },
    "done": true
  },
  "minecraft:adventure/salvage_sherd": {
    "criteria": {
      "has_sherd": "2025-01-24 16:12:04 +0700"
    },
    "done": false
  },
  "minecraft:recipes/decorations/decorated_pot_simple": {
    "criteria": {
      "has_brick": "2025-01-24 16:12:04 +0700"
    },
    "done": true
  },
  "minecraft:adventure/craft_decorated_pot_using_only_sherds": {
    "criteria": {
      "pot_crafted_using_only_sherds": "2025-01-24 16:12:14 +0700"
    },
    "done": true
  },
  "DataVersion": 3953
}